Credit a FinancialAddress object v2Test helper

Simulate crediting a FinancialAddress in a Sandbox environment. This can be used to add virtual funds and increase your balance for testing.

Learn more about calling API v2 endpoints.

Parameters

  • amountobjectRequired

    Object containing the amount value and currency to credit.

  • idstringRequired

    The ID of the FinancialAddress to credit.

  • networkenumRequired

    The network to use in simulating the funds flow. This will be the reflected in the resulting ReceivedCredit.

    Possible enum values
    ach

    US - The Automated Clearing House (ACH) money movement.

    fps

    UK - Faster Payments System (FPS) money movement.

    rtp

    US - Real-Time Payments (RTP) money movement.

    wire

    A wire transfer money movement.

  • statement_descriptorstring

    String explaining funds flow. Use this field to populate the statement descriptor of the ReceivedCredit created as an eventual result of this simulation.

Returns

Response attributes

  • objectstring, value is "financial_address_credit_simulation"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • statusstring

    The status of the request, signifying whether a simulated credit was initiated.

404not_found

The resource wasn’t found.

409idempotency_error

An idempotent retry occurred with different request parameters.

POST /v2/test_helpers/financial_addresses/:id/credit
curl -X POST https://api.stripe.com/v2/test_helpers/financial_addresses/finaddr_test_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls/credit \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-04-30.preview" \
--json '{
"amount": {
"value": 2500,
"currency": "usd"
},
"network": "ach"
}'
Response
{
"object": "financial_address_credit_simulation",
"status": "accepted"
}

Generates microdeposits for a FinancialAddress v2Test helper

Generates microdeposits for a FinancialAddress in a Sandbox environment.

Learn more about calling API v2 endpoints.

Parameters

  • idstringRequired

    The id of the financial address to generate microdeposits for.

Returns

Response attributes

  • objectstring, value is "financial_address_generated_microdeposits"

    String representing the object’s type. Objects of the same type share the same value of the object field.

  • amountsarray of objects

    The amounts of the microdeposits that were generated.

  • livemodeboolean

    Has the value true if the object exists in live mode or the value false if the object exists in test mode.

  • statusenum

    The status of the request.

    Possible enum values
    accepted

    The microdeposits were successfully generated.

404not_found

The resource wasn’t found.

409idempotency_error

An idempotent retry occurred with different request parameters.

POST /v2/test_helpers/financial_addresses/:id/generate_microdeposits
curl -X POST https://api.stripe.com/v2/test_helpers/financial_addresses/finaddr_test_61O6nHqDsFuMtECYR16O0lef0dSQgZ0EhGyZsQCXQMls/generate_microdeposits \
-H "Authorization: Bearer sk_test_BQokikJ...2HlWgH4olfQ2sk_test_BQokikJOvBiI2HlWgH4olfQ2" \
-H "Stripe-Version: 2025-04-30.preview"
Response
{
"object": "financial_address_generated_microdeposits",
"amounts": [
{
"value": 24,
"currency": "usd"
},
{
"value": 46,
"currency": "usd"
}
],
"status": "accepted"
}

FinancialAddress event types v2

This is a list of all public thin events we currently send for updates to FinancialAddress, which are continually evolving and expanding. The payload of thin events is unversioned. During processing, you must fetch the versioned event from the API or fetch the resource’s current state.

Event types

Type
Filter events by type